pcl::PPFSignature Struct Reference
Module common

A point structure for storing the Point Pair Feature (PPF) values. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

float | f1
float | f2
float | f3
float | f4
float | alpha_m

## Friends

std::ostream & | operator<< (std::ostream &os, const PPFSignature &p)

## Detailed Description

A point structure for storing the Point Pair Feature (PPF) values.

Definition at line 1220 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PPFSignature & | p
| ) |  |

friend

## Member Data Documentation

## alpha_m

float pcl::PPFSignature::alpha_m

Definition at line 1223 of file point_types.hpp.

## f1

float pcl::PPFSignature::f1

Definition at line 1222 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< PPFSignature >::copyToFloatArray().

## f2

float pcl::PPFSignature::f2

Definition at line 1222 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< PPFSignature >::copyToFloatArray().

## f3

float pcl::PPFSignature::f3

Definition at line 1222 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< PPFSignature >::copyToFloatArray().

## f4

float pcl::PPFSignature::f4

Definition at line 1222 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< PPFSignature >::copyToFloatArray().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp